services:
    d2_emit_service_definition_manager:
        class:          D2\EmitBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_emit_definition_manager:
        class:          D2\EmitBundle\DependencyInjection\Services\EmitDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_emit_partner_file_manager:
        class:          D2\EmitBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_emit_waybill_manager:
        class:          D2\EmitBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_emit_service_definition_manager, @d2_calc_manager]

    d2_emit_bundle.twig.emit_extension:
        class:          D2\EmitBundle\Twig\EmitTwigExtension
        arguments:      [@doctrine, @service_container, @d2_emit_partner_file_manager, @d2_emit_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_emit_bundle.waybill_with_selected.extension:
        class:          D2\EmitBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: emit_list }
            - { name: d2.with_selected, alias: emit_waybill }
